Can the latest build of C2 export to steam with NW 10.5?

  • I saw where someone said they had to revert to C2 version 192 to successfully export to PC/Steam with NW 10.5. Is that true and, if so, how would one get their game saved with the latest C2 to work with version 192? Is that possible?

  • I saw where someone said they had to revert to C2 version 192 to successfully export to PC/Steam with NW 10.5. Is that true and, if so, how would one get their game saved with the latest C2 to work with version 192? Is that possible?

    Once a project is saved in a newer version of C2, you can't roll it back to an old version. Simply impossible.

    You could recreate it identically but that's too much time.

    I've been using NW 0.12.1 (or 12.1) and it's working fine for me.

    If you want to use NW 10.5 I'm fairly use R0j0hound made a thread of it. Basically you just replace the files in the exporter with the older files, should work fine.

  • if you want to revert to an earlier version of C2, open the capx with Winrar and edit the caproj file.

    change:

    <saved-with-version>20000</saved-with-version>

    to

    <saved-with-version>19200</saved-with-version>

  • if you want to revert to an earlier version of C2, open the capx with Winrar and edit the caproj file.

    change:

    <saved-with-version>20000</saved-with-version>

    to

    <saved-with-version>19200</saved-with-version>

    Damn, did not know you could do that.

  • well it's not supported.. and potentially it could break something..depending on if you used a new feature that is not in an older version.. but 99% of the time it should be fine..

    i.e. if your project uses Local Storage and you change it from version 20300 to version 18700, you will have a problem since Local Storage was not in C2 at that time. I don't know if there's a way to take out the new events, but I wouldn't want to mess with it.

    I mostly change the caproj for downloading other people's posted capx... everyone seems in a hurry to update, I'm always way behind..

  • I actually had 10.5 of NW but I deleted since the new NW.js no longer has jank issues.

    Is the current version of NW.js not working well for you?

    @aurel I think released his game on Steam using Node 10.5, he may have advise for you...

  • also using 10.5 with the latest version of C2 for Cosmochoria. Im assuming i will never update that folder at this point

  • jobel - the latest NW.js I used was working well on my game. I have read many including Auriel say that 10.5 works the best for them. Some report lots of jank with recent NW.js'. Also, thanks for the tip on changing the version in the caproj.

  • 80bit yikes that's troubling.. I planned on releasing my game next spring.. do you think I should try to roll back to r187?? (also 10.5 allows Fraps to work.)

    I don't think I've used any of the new features... seriously.. why do I ever update anything? I always get burned!

  • Curious about which version of C2 is most stable and gives best results in terms of performance(?) To note: NW 10.5 has been a better choice for me thus far in terms of exporting as opposed to NW.js 12.

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • Where can I see which version of NW I'm using?

  • Where can I see which version of NW I'm using?

    Go to your Programs folder where Construct 2 is and look for either NWjsForC2 (10.5 ish) or NodeWebkitForC2 (NW.js 12)

  • 80bit yikes that's troubling.. I planned on releasing my game next spring.. do you think I should try to roll back to r187?? (also 10.5 allows Fraps to work.)

    I don't think I've used any of the new features... seriously.. why do I ever update anything? I always get burned!

    sorry, i think you misunderstood. Im using the latest version of Construct 2. But im using the 10.5 node-webkit exporter (since it's a standalone install i can put 10.5 in there) and all is working fine.

  • >

    > If you want to use NW 10.5 I'm fairly use R0j0hound made a thread of it. Basically you just replace the files in the exporter with the older files, should work fine.

    >

    Can anyone post a link to that thread? (I can't find it) or give a brief explanation on how to replace it please?

  • sorry, i think you misunderstood. Im using the latest version of Construct 2. But im using the 10.5 node-webkit exporter (since it's a standalone install i can put 10.5 in there) and all is working fine.

    I'll really like to try the 10.5 version but I can't find a download link or anything, can you share your process please?

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)